IFAPI_POLICY_EXEC_CTX Struct Reference

`#include <ifapi_policy_execute.h>`

## Data Fields

enum IFAPI_STATE_POLICY_EXCECUTE | state
TPML_DIGEST | digest_list
IFAPI_POLICY_EXEC_CTX * | next
IFAPI_POLICY_EXEC_CTX * | prev
ESYS_TR | session
TPMS_POLICY * | policy
ESYS_TR | policySessionSav
ESYS_TR * | enc_session
ESYS_TR | object_handle
ESYS_TR | nv_index
ESYS_TR | auth_handle
IFAPI_OBJECT | auth_objectNV
IFAPI_OBJECT * | auth_object
ESYS_TR | auth_session
TPMI_ALG_HASH | hash_alg
void * | app_data
NODE_OBJECT_T * | policy_elements
TPM2B_DIGEST * | nonceTPM
uint8_t * | buffer
size_t | buffer_size
TPM2B_NAME | name
char * | pem_key
struct POLICY_LIST * | policy_list
bool | flush_handle
TSS2_POLICY_EXEC_CALLBACKS | callbacks

## Detailed Description

The context of the policy execution

## Field Documentation

## app_data

void* app_data

Application data for policy execution callbacks

## auth_object

IFAPI_OBJECT* auth_object

Object to be authorized

## auth_objectNV

IFAPI_OBJECT auth_objectNV

Object used for NV authentication

## callbacks

TSS2_POLICY_EXEC_CALLBACKS callbacks

callbacks used for execution of sub policies and actions which require access to the FAPI context.

## enc_session

ESYS_TR* enc_session

ession used for encryption if policy is used

## flush_handle

bool flush_handle

Handle to be flushed after policy execution

## next

IFAPI_POLICY_EXEC_CTX* next

The digest list of policy or Pointer to next policy

## pem_key

char* pem_key

Pem key recreated during policy execution

## policy_elements

NODE_OBJECT_T* policy_elements

The policy elements to be executed

## policy_list

struct POLICY_LIST* policy_list

List of policies for authorization selection

## policySessionSav

ESYS_TR policySessionSav

Backup policy session

## prev

IFAPI_POLICY_EXEC_CTX* prev

Pointer to previous policy

## session

ESYS_TR session

The current policy session

## state

enum IFAPI_STATE_POLICY_EXCECUTE state

The execution state of the current policy command

The documentation for this struct was generated from the following file:

- src/tss2-fapi/ifapi_policy_execute.h